import "@testing-library/jest-dom";
import { render, screen } from "@testing-library/react";
import "../../../matchMedia.mock";

import { Card } from "./Card";

describe("Card Component test", () => {
    const mockFlight = {
        flight_code: "ABC123",
        status: "En ruta",
        origin: "City A",
        destination: "City B",
        departure_time: "2023-10-30 10:00 AM",
        arrival_time: "2023-10-30 12:00 PM",
        gate: "A1",
    };

    test("Renders Card component with given props", () => {
        render(<Card flight={mockFlight} />);

        expect(screen.getByText("ABC123")).toBeInTheDocument();
        expect(screen.getByText("En ruta")).toBeInTheDocument();
        expect(screen.getByText("Departure:")).toBeInTheDocument();
        expect(screen.getByText("Arrival:")).toBeInTheDocument();
        expect(screen.getByText("Gate:")).toBeInTheDocument();
        expect(screen.getByText("2023-10-30 10:00 AM")).toBeInTheDocument();
        expect(screen.getByText("2023-10-30 12:00 PM")).toBeInTheDocument();
        expect(screen.getByText("A1")).toBeInTheDocument();
    });
});
